<ion-content class="ion-padding">
  <div class="login-logo">
    <img src="assets/icon.png" class="logo_icon" alt="foodies" />
    <p class="login-name">{{'Login' | translate}}</p>
    <p class="subTitle">
      {{'Enter your login detail to' | translate}}
      <br />
      {{'access your account' | translate}}
    </p>
  </div>

  <ion-list>
    <ion-list-header>
      <ion-label>
        {{'Login With?' | translate}}
      </ion-label>
    </ion-list-header>

    <ion-item >
      <ion-label *ngIf="emailLoginActive">{{'Email' | translate}} </ion-label>
      <ion-label *ngIf="phoneLoginActive">{{'Phone' | translate}} </ion-label>
      <ion-select
        value="mail"
        okText="Okay"
        (ionChange)="changeMethod($event)"
        cancelText="Dismiss"
      >
        <ion-select-option value="mail">
          {{'Email' | translate}}
        </ion-select-option>
        <ion-select-option value="phone">
          {{'Phone' | translate}}
        </ion-select-option>
      </ion-select>
    </ion-item>
  </ion-list>

  
  <form #loginForm="ngForm" novalidate *ngIf="emailLoginActive">
    <ion-list lines="none">
      <ion-item lines="none">
        <ion-input
          [(ngModel)]="login.email"
          type="email"
          [placeholder]="('Email' | translate) || '&nbsp;'"
          name="email"
          #email="ngModel"
          spellcheck="false"
          autocapitalize="off"
          required
        ></ion-input>
      </ion-item>
      <ion-text color="danger">
        <p
        [hidden]="email.valid || submitted == false"
          class="ion-padding-start"
          >
          {{'Email is required' | translate}}
        </p>
      </ion-text>

      <ion-item lines="none">
        <ion-input
        [(ngModel)]="login.password"
          name="password"
          [placeholder]="('password' | translate) || '&nbsp;'"
          type="password"
          #password="ngModel"
          required
          ></ion-input>
      </ion-item>

      <ion-text color="danger">
        <p
          [hidden]="password.valid || submitted == false"
          class="ion-padding-start"
          >
          {{'Password is required' | translate}}
        </p>
      </ion-text>
    </ion-list>
    
    <ion-row class="ion-no-margin ion-no-padding">
      <ion-col class="ion-no-margin ion-no-padding">
        <p class="frgTag" (click)="resetPass()">
          {{'Forgot Password?' | translate}}
        </p>
        <ion-button
          class="btn_class"
          (click)="onLogin(loginForm)"
          type="submit"
          expand="block"
          [disabled]="isLogin"
          >
          <span *ngIf="!isLogin">{{'Log In' | translate}}</span>
          <ion-spinner name="circles" *ngIf="isLogin"></ion-spinner>
        </ion-button>
      </ion-col>
    </ion-row>
  </form>
  
  <form #loginPhoneForm="ngForm" novalidate *ngIf="phoneLoginActive">
    
    <ion-list lines="none">

      <ion-item lines="none">
        <ion-input
        [(ngModel)]="phoneNumber"
          type="number"
          [placeholder]="('Phone' | translate) || '&nbsp;'"
          name="phoneNumber"
          #email="ngModel"
          spellcheck="false"
          autocapitalize="off"
          required
          ></ion-input>
      </ion-item>

      <ion-item *ngIf="showCodeVerification" lines="none">
        <ion-input
        [(ngModel)]="userCode"
          type="number"
          [placeholder]="('Verification Code' | translate) || '&nbsp;'"
          name="code"
          #email="ngModel"
          spellcheck="false"
          autocapitalize="off"
          required
          ></ion-input>
      </ion-item>
    </ion-list>

    <ion-row *ngIf="showCodeVerification" class="ion-no-margin ion-no-padding">
      <ion-col class="ion-no-margin ion-no-padding">
        <ion-button
        class="btn_class"
        (click)="validateCode()"
          type="submit"
          expand="block"
          [disabled]="isLogin"
          >
        <span *ngIf="!isLogin">{{'Verify Code' | translate}}</span>
          <ion-spinner name="circles" *ngIf="isLogin"></ion-spinner>
        </ion-button>
      </ion-col>
    </ion-row>

    <ion-row *ngIf="!showCodeVerification" class="ion-no-margin ion-no-padding">
      <ion-col class="ion-no-margin ion-no-padding">
        <ion-button
        class="btn_class"
        (click)="onLoginPhone(loginPhoneForm)"
          type="submit"
          expand="block"
          [disabled]="isLogin"
          >
        <span *ngIf="!isLogin">{{'Log In' | translate}}</span>
          <ion-spinner name="circles" *ngIf="isLogin"></ion-spinner>
        </ion-button>
      </ion-col>
    </ion-row>

    


  </form>

  <div   style="display: flex; justify-content: center;">

    <div  id="recaptcha-container"></div>

  </div>
  
  

  <p class="createAcc" (click)="register()">
    {{'Dont have an account?' | translate}}
    <span class="registerTag">{{'Sign up' | translate}}</span>
  </p>
  <div class="btns">
    <img
    src="assets/imgs/en.png"
      (click)="changeLng('en')"
      [ngClass]="getClassName() == 'en' ? 'flagActive':'flagDeactive'"
      alt=""
    />
    <img
      src="assets/imgs/spanish.png"
      (click)="changeLng('spanish')"
      [ngClass]="getClassName() == 'spanish' ? 'flagActive':'flagDeactive'"
      alt=""
    />
  </div>
</ion-content>
